File korundum-ruby19.patch of Package ruby-kde4

Index: korundum-4.8.4/src/krubypluginfactory.cpp
===================================================================
--- korundum-4.8.4.orig/src/krubypluginfactory.cpp
+++ korundum-4.8.4/src/krubypluginfactory.cpp
@@ -39,7 +39,7 @@
 extern "C" {
 extern VALUE rb_load_path;
 extern VALUE qt_internal_module;
-void Init_prelude(void);
+void ruby_init_prelude(void);
 }
 
 //
@@ -165,7 +165,7 @@ QObject *KRubyPluginFactory::create(cons
 #if RUBY_VERSION >= 0x10900
     VALUE gem = rb_define_module("Gem");
     rb_const_set(gem, rb_intern("Enable"), Qtrue);
-    Init_prelude(); 
+    ruby_init_prelude(); 
 #endif
 
     ruby_incpush(QFile::encodeName(program.path()));
@@ -342,7 +342,7 @@ int kdemain(int argc, char **argv)
 #if RUBY_VERSION >= 0x10900
     VALUE gem = rb_define_module("Gem");
     rb_const_set(gem, rb_intern("Enable"), Qtrue);
-    Init_prelude();                                             
+    ruby_init_prelude();                                             
 #endif
 
     ruby_incpush(QFile::encodeName(program.path()));